## de.ix.jspTutorial.model
Class PizzaBinder

    java.lang.Object
      |
      +--de.ix.jspTutorial.model.PizzaBinder

public class PizzaBinder
extends java.lang.Object
implements I_DatabaseBinder

Factory class for generic objects

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`static java.lang.String` `vcid` version of the source

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseBinder
`vcid`

Constructor Summary
`PizzaBinder()`

Method Summary
`I_DatabaseObject` `bind(java.lang.String aType, java.sql.ResultSet result)` Create a object out of a db row for the types pizza, ingredient and customer.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  version of the source

Constructor Detail

### PizzaBinder

    public PizzaBinder()

Method Detail

### bind

    public I_DatabaseObject bind(java.lang.String aType,
                                 java.sql.ResultSet result)
                          throws java.sql.SQLException

  Create a object out of a db row for the types pizza, ingredient and customer.
  Specified by:
    bind in interface I_DatabaseBinder
  Parameters:
    `aType` - Type of the object inside the current resultset
    `result` - current row of the DB cursors
  Returns:
    a database object

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~